CVE-2005-3018
CVSS5.0
发布时间 :2005-09-21 18:03:00
修订时间 :2016-10-17 23:32:13
NMCO    

[原文]Apple Safari allows remote attackers to cause a denial of service (application crash) via a crafted data:// URL.


[CNNVD]Apple Safari远程拒绝服务漏洞(CNNVD-200509-214)

        Safari是Apple Mac OS系统上的WEB浏览器程序。
        Apple Safari允许远程攻击者通过提供一个特定的data:// URL发起拒绝服务攻击。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:apple:safari:1.1Apple Safari 1.1
cpe:/a:apple:safari:2.0Apple Safari 2.0
cpe:/a:apple:safari:1.2Apple Safari 1.2
cpe:/a:apple:safari:1.3Apple Safari 1.3
cpe:/a:apple:safari:1.2.2Apple Safari 1.2.2
cpe:/a:apple:safari:2.0.1Apple Safari 2.0.1
cpe:/a:apple:safari:1.2.1Apple Safari 1.2.1
cpe:/a:apple:safari:1.0Apple Safari 1.0
cpe:/a:apple:safari:1.2.3Apple Safari 1.2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3018
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3018
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-214
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112715234411672&w=2
(UNKNOWN)  BUGTRAQ  20050917 Possible memory corruption problems in Apple Safari
http://www.securityfocus.com/bid/14868
(UNKNOWN)  BID  14868
http://xforce.iss.net/xforce/xfdb/22331
(UNKNOWN)  XF  safari-data-uri-dos(22331)

- 漏洞信息

Apple Safari远程拒绝服务漏洞
中危 资料不足
2005-09-21 00:00:00 2005-10-20 00:00:00
远程  
        Safari是Apple Mac OS系统上的WEB浏览器程序。
        Apple Safari允许远程攻击者通过提供一个特定的data:// URL发起拒绝服务攻击。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.apple.com

- 漏洞信息

19569
Apple Safari data:// URI Handler Memory Corruption DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

Apple Safari contains a flaw that may allow a URI to cause a denial of service. The issue is triggered when a malformed data:// URI is loaded, which will result in a crash of the browser.

- 时间线

2005-09-16 Unknow
2005-09-16 Unknow

- 解决方案

Upgrade to version 2.0.2 (416.13) or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站